## vertigotv vertigotv |

## Properties

gfloat | speed | Read / Write
gfloat | zoom-speed | Read / Write

## Types and Values

struct | GstVertigoTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstVertigoTV

## Description

VertigoTV is a loopback alpha blending effector with rotating and scaling.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! vertigotv ! videoconvert ! autovideosink

This pipeline shows the effect of vertigotv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@gmail.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVertigoTV

    struct GstVertigoTV;

## Property Details

### The `“speed”` property

      “speed”                    gfloat

Control the speed of movement.

Flags: Read / Write

Allowed values: [0.01,100]

Default value: 0.02

### The `“zoom-speed”` property

      “zoom-speed”               gfloat

Control the rate of zooming.

Flags: Read / Write

Allowed values: [1.01,1.1]

Default value: 1.01